body {
  background-color: #F6F9FF;
}

.map-container {
  max-width: 80%;
  position: relative;
  margin: 0 auto;
}

svg {
  width: 80%;
  height: auto;
  max-width: 1000px;
  margin: 0 auto;
  display: block;
}

.municipio {
  fill: #cce5ff;
  stroke: #333;
  transition: fill 0.3s;
}

.municipio,
.othermuni {
  animation: fadeIn 1s ease-in;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: scale(0.95);
  }

  to {
    opacity: 1;
    transform: scale(1);
  }
}

.sede:hover {
  fill: #3399ff !important;
  filter: drop-shadow(0 0 3px rgba(0, 153, 255, 0.7));
  transition: transform 0.3s ease, filter 0.3s ease, fill 0.3s ease;
}

.tooltip {
  position: fixed;
  background: rgba(255, 255, 255, 0.95);
  border: 1px solid #3399ff;
  padding: 8px 12px;
  border-radius: 8px;
  font-size: 14px;
  font-family: sans-serif;
  color: #333;
  pointer-events: none;
  display: none;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: opacity 0.2s ease;
  z-index: 9999;
}

.tooltip {
  max-width: 90vw;
  /* nunca más ancho que la pantalla */
  word-wrap: break-word;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-5px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.pin {
  cursor: pointer;
}

.sede.hovered {
  fill: #3399ff !important;
  filter: drop-shadow(0 0 3px rgba(0, 153, 255, 0.7));
}

@keyframes bounce {
  0% {
    translate: 0 0;
  }

  30% {
    translate: 0 -15px;
  }

  50% {
    translate: 0 0;
  }

  70% {
    translate: 0 -8px;
  }

  100% {
    translate: 0 0;
  }
}

.pin.bounce {
  animation: bounce 0.6s ease;
  transform-origin: center;
  transform-box: fill-box;
}

@media (max-width: 768px) {

  .map-container {
    max-width: 100%;
  }

  svg {
    width: 100%;
  }

}

#pills-coordinaciones .pin {
  filter: invert(50%) sepia(100%) saturate(300%) hue-rotate(80deg) brightness(100%);
}